package ink.wgink.properties.app;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ClassName: TokenProperties
 * @Description: token配置
 * @Author: wanggeng
 * @Date: 2022/3/21 11:15
 * @Version: 1.0
 */
@Component
@ConfigurationProperties(prefix = "app-token")
public class AppTokenProperties {

    private Boolean hasDepartment;
    private Boolean hasRole;
    private Boolean hasPosition;
    private Boolean hasGroup;

    public Boolean getHasDepartment() {
        return hasDepartment == null ? false : hasDepartment;
    }

    public void setHasDepartment(Boolean hasDepartment) {
        this.hasDepartment = hasDepartment;
    }

    public Boolean getHasRole() {
        return hasRole == null ? false : hasRole;
    }

    public void setHasRole(Boolean hasRole) {
        this.hasRole = hasRole;
    }

    public Boolean getHasPosition() {
        return hasPosition == null ? false : hasPosition;
    }

    public void setHasPosition(Boolean hasPosition) {
        this.hasPosition = hasPosition;
    }

    public Boolean getHasGroup() {
        return hasGroup == null ? false : hasGroup;
    }

    public void setHasGroup(Boolean hasGroup) {
        this.hasGroup = hasGroup;
    }
}
